package ssw.mj.test;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * All tests for the MicroJava compiler.
 */
public class AllTests {
	public static Test suite () {
		TestSuite suite = new TestSuite();
		suite.addTestSuite(ScannerTest.class);
		suite.addTestSuite(ParserTest.class);
		suite.addTestSuite(ParserErrorTest.class);
		suite.addTestSuite(UEBeispieleTest.class);
		return suite;
	}
	
	/** Start a text-mode test runner that runs all tests for the MicroJava compiler. */
	public static void main (String[] args) {
		junit.textui.TestRunner.run(suite());
	}
}
